Handheld API Reference Manual 3.5

Geldenaaksebaan 329

B-3001 Leuven

Tel +32 16 74 01 00

Fax: +32 16 74 01 03

info@nikonmetrology.com

www.nikonmetrology.com

BE 0463 581 707

KBC 734-0166217-65

IBAN: BE18 7340 1662 1765

BIC KREDBEBB

Copyright © Nikon Metrology

All Rights Reserved

This publication or parts thereof may not be reproduced in any form, by any method, for any purpose.

Metris ® and the Metris logo are registered trademarks of Nikon Metrology N.V.

Products that are referred to in this document may be either trademarks and/or registered trademarks of the respective owners.

Nikon Metrology N.V. or any of its group companies (Nikon Metrology) make no claim to these trademarks.

The use of these Nikon Metrology products, services and materials is subject to the Nikon Metrology General Sales Terms and Conditions.


Scope

This manual concerns the hardware and configuration involved in the hand-held scanners supported by Nikon Metrology. The figure below shows the various component of a hand-held scanning system.

Figure 1. Schematic representation of the components of a hand-held scanning system

Scanner: the scanners supported are described in Hardware description. In each case information regarding the measurement range and the stripe width is provided. Full details on the scanners can be found in the corresponding documentation provided.

Interface kit : this is a device that connects a particular scanner with a particular localiser. Full details on the interface kit can be found in the corresponding documentation provided.

Localiser : the localisers that can be used in combination with the supported scanners are listed in Scanner / Localiser configurations. Full details on the localisers can be found in the corresponding documentation provided.

Driver : the driver software allows the scanner / localiser combination to communicate with the scanning software. It is the subject of this manual. All the instructions on the use of the Handheld API to configure the scanner with the localiser and to perform a qualification procedure are described in the chapter on Hardware configuration.

Scanning software : full details on the operation of the scanning software can be found in the corresponding software manual.


Scanner / Localiser configurations

The supported Scanners and Localisers and their compatibility are listed in the table below.

Table 1. Scanner - Localiser compatibility
Localiser | MMDx | MMCx | LC60Dx
MCA 7 axis (v2.2 and v2.5) |  |  |
MCA II 7 axis |  |  |
K-Series (K600 and K610) |  |  |
Faro 7 axis (Titanium, Platinum, Fusion) |  |  |
Cimcore 7 axis Infinite 1.0 |  |  |
Cimcore 7 axis Infinite 2.0 |  |  |

Notes

6 axis arms are not supported.

Full details on each of the scanners and the localisers can be found in their corresponding documentation. Information on measurement parameters and set up instructions are given in the Hardware description section.

For MMDx, firmware version 2.0.20.1529 or higher is required.

For LC60D, firmware version 2.0.17.1485 or higher is required.

For MCA II and (Romer - Cimcore 7 axis Infinite 2.0 arms), WinRDS 7.1.5RC1 is required. The firmware on the arms should be version 6.

For a Faro arm, Faro USB driver version 5.6.5.3 is required.


Scanning operational considerations

Care should always be taken when using hand-held scanners and users should be aware of the safety manual shipped with the product.

The Nikon Metrology scanner is a precision optical measuring instrument, and should be treated with care. The scanner has been designed to withstand a typical shop-floor environment, nevertheless, there are certain precautions that should be taken when using it:

  • Do not drop the scanner.
  • Do not touch the optical windows on the front of the scanner.
  • Do not attempt to dismantle the scanner. Doing so will invalidate the warranty.
  • Do not allow the scanner to be covered in any liquid.
  • Do not expose the scanner to extremes of temperatures.
  • Do not look directly into the beam or view with an optical instrument - laser light is emitted from the indicated aperture.


Hardware description

This following information is provided for each of the supported scanners:

  • Measurement parameters including the measurement range and the stripe width. (Full details on all the characteristics of the scanners can be found in the corresponding hardware documentation.)
  • The procedure to set up the scanner, the localiser and connect with the scanning software.
  • The MMDx Scanner
  • The MMCx Scanner
  • The LC60Dx Scanner


The MMDx Scanner

Full details about the MMDx scanner characteristics can be found in the hardware documentation.

The Localisers that can be used with the MMDx scanner are listed in Scanner - Localiser compatibility table .

Specifications

The table below lists the scanner measuring characteristics for each of the scanners in the MMDx range. A description of these characteristics is shown in Figure 1.

Table 1. MMDx Specifications
Specification | MMDx50 | MMDx100 | MMDx200
Start measuring range (mm) | 95 | 100 | 110
Measuring range (mm) | 50 | 100 | 150
Stripe width (mm) | 50 | 100 | 200
Figure 1. MMDx specifications

Hardware set-up

  1. Set up the localizer, according to the instructions given in the manual provided.
  2. Mount the scanner on the localizer according to the instruction provided with the interface kit.
  3. Power up the localizer before starting the ModelMaker hardware set-up.
  4. Power up the scanner.

    There are two LEDs on the rear of the scanner. While booting both LEDs are red. When the booting is complete, the upper LED (power) is green and the lower LED (laser) blinks green.

    When booting is complete, the scanner will be able to communicate with the PC.

  5. Connect the scanner cable to the Ethernet port of the PC.

    The Power LED will be on continuously when the connection is established.

Trouble shooting

LEDs on the back of the scanner remain red: If the upper LED is not green and the lower LED does not blink green, then the scanner has not booted. In this case you should switch off the scanner and contact Nikon Metrology support.

No Connection between the Scanner and the PC: This could be due to the following :
  1. Cabling

    Check all the cabling between the scanner and the PC and on the power supply.

  2. Firewall

    Check that the connection can not be made because it is being blocked by a Firewall.

  3. Incorrect IP address for the scanner

    The Scanner needs a fixed IP address. In the Internet Protocol (TCP/IP) Properties dialog, accessible from the PC network connection parameters on the Control Panel, make sure that the option Obtain an IP address automatically is set OFF.

    Choose the option Use the following IP address and set the IP address to be 192.168.1.60 The last set of digits can be any number between 1 and 255 except 70. It is recommended that you use 60.

Parent topic: Hardware description


The MMCx Scanner

Full details about the MMCx scanner characteristics can be found in the hardware documentation.

The Localisers that can be used with the MMDx scanner are listed in Scanner - Localiser compatibility table .

Specifications

The table below lists the scanner measuring characteristics for each of the scanners in the MMCx range. A description of these characteristics is shown in Figure 1.

Table 1. MMCx Specifications
Specification | MMCx80 | MMCx160
Start measuring range (mm) | 100 | 110
Measuring range (mm) | 100 | 150
Stripe width (mm) | 80 | 160
Figure 1. MMCx specifications

Hardware set-up

  1. Set up the localizer, according to the instructions given in the manual provided.
  2. Mount the scanner on the localizer according to the instruction provided with the interface kit.
  3. Power up the localizer before starting the ModelMaker hardware set-up.
  4. Power up the scanner.
  5. When booting is complete, connect the scanner to Ethernet port of the PC.

For help in troubleshooting see the Trouble shooting section.

Parent topic: Hardware description


The LC60Dx Scanner

Full details about the LC60Dx scanner characteristics can be found in the hardware documentation.

The Localisers that can be used with the MMDx scanner are listed in the Scanner - Localiser compatibility table .

Specifications

The table below lists the scanner measuring characteristics for the LC60Dx scanner. A description of these characteristics is shown in Figure 1.

Table 1. LC60Dx Specifications
Specification | LC60Dx
Start measuring range (mm) | 95
Measuring range (mm) | 60
Stripe width (mm) | 60
Figure 1. LC60Dx specifications

Hardware set-up

  1. Set up the localizer, according to the instructions given in the manual provided.
  2. Mount the scanner on the localizer according to the instruction provided with the interface kit.
  3. Connect the scanner cable to the Ethernet port of the PC.
  4. Power up the localizer, this will also power up the scanner.

    There are two LEDs on the rear of the scanner. While booting both LEDs are red. When the booting is complete, the upper LED (power) is green and the lower LED (laser) blinks green. When booting is complete, the scanner can be connected to the Ethernet port of the PC.

For help in troubleshooting see the Trouble shooting section.

Parent topic: Hardware description


Hardware configuration

This section describes how to use the Handheld API Version 3.5 to configure your scanner, your localiser and to perform a Qualification procedure.

Accessing the Handheld API

The Handheld API can be accessed from your scanning software. Follow the steps to configure the hardware - referring to the software manual if necessary.

Eventually you should open the Hardware Configuration dialog as shown below.

The Hardware Configuration dialog contains three buttons on the left side : Localiser, Scanner and Qualification. Clicking on each of these enables you to configure your hand held scanning set up.

  • Localiser

    The configuration for the following Localisers are described:

    • K-Scan.
    • MCA II (Cimcore).
    • MCA.
    • FARO.

    (See the Scanner / Localiser table for information on the compatibility between localisers and scanners.)

  • Scanner

    The configurations for the following Scanners are described:

    • MMDx.
    • MMCx.
    • LC60Dx.

    (See the Scanner / Localiser table for information on the compatibility between localisers and scanners.)

  • Qualification

    The Qualification function enables you to carry out a Qualification procedure for all scanner / localiser combinations.

  • Localizer configuration
  • Scanner configuration
  • Qualification


Localizer configuration

The Localiser configuration function provides you with tools to view diagnostic information and configure the localiser.

  • K-Scan
  • MCA II (Cimcore)
  • MCA
  • Faro
Parent topic: Hardware configuration


K-Scan

Diagnostics

The Diagnostics tool provides information about the currently selected localiser. This information should be used when requesting support.

Driver info: displays information about the Driver Description, the Driver version, and the K-CMM Version.

Device info: displays the following information on the K-Scan system:
  • Camera serial : the serial number of the camera.
  • K-Scan Probe serial : the serial number of the K-Scan probe.
  • SpaceProbe serial : the serial number of the SpaceProbe
  • Max. scan rate : the maximum scan rate
  • Tip radius : the radius of the tactile probe tip
  • Number of LEDs : the number of LEDs on the K-Scan probe.
Parent topic: Localizer configuration


MCA II (Cimcore)

Diagnostics

The Diagnostics tool provides information about the currently selected localiser. This information should be used when requesting support.

Driver info : displays version information about :
  • Driver Version
  • WinRDS Version
  • RXXC Version
  • XDAT Version
Arm info : displays the following information on the currently active localizer arm:
  • Arm Type : the localizer arm type.
  • Serial Number : the localizer serial number.
  • Runcode : the runcode number.
  • USB Firmware : the USB firmware version number.
Active probe info: displays the following information on the currently active probe:
  • Number : the number of the currently connected probe.
  • Autodetect : check this option to load the number and the calibration file automatically. This only works if the probe number is known. If the probe number is not known uncheck this option and enter the required number. The calibration file of the probe will saved with the probe number.
  • Type : the type of probe. This is most commonly a ball.
  • Diameter : the calibration method used
  • [Activate] : This option is used if the Autodetect option is off. It activates the probe that has been manually selected.
  • [Calibrate] : starts a calibration procedure. Refer to the MCAII hardware manual for more details.

[Profile Settings] : refer to the MCAII hardware manual for more details.

[Special Functions] : refer to the MCAII hardware manual for more details.

Parent topic: Localizer configuration


MCA

Diagnostics

The Diagnostics tool provides information about the currently selected localiser. This information should be used when requesting support.

Driver info : displays information about :
  • Description : description of the driver.
  • Version : version of the driver.
Active arm info : displays the following information on the currently active localizer arm:
  • Type : localizer type.
  • S/N : the localizer serial number.
  • Firmware : firmware version number.
  • Num axes : the number of the axes.
Active probe info : displays the following information on the currently active probe:
  • Name : the name of the probe.
  • Type : the probe type.
  • Diameter : diameter of the probe tip.
  • Cal Method : the calibration method used.
  • Calibration Date : the date when the probe was calibrated (mm/dd/yyyy).
  • Cal StDev : standard deviation of the calibration.
  • Cal Cond : condition number of the calibration.

Probe settings

The Probe Settings panel allows you to perform a number of operations on the available probes. It contains a list of currently available probes, displays information about each of them and allows you to edit the list and calibrate the probe.

The Probes table provides a list of probes and a summary of their properties. Selecting an item in this list enables you to see more details in the Details panel. It also allows you to perform a number of actions using the buttons.

[Set Active] : this button makes the currently selected probe the active probe to be used in the next scanning operation.

[New] : this button allows you to define a new probe that will be added to the list. It opens a dialog in which you define the properties.

[Edit] : this button allows you to edit the properties of the currently selected probe. The current properties are listed in the Details area.

[Delete] : this deletes the currently selected probe from the list.

Probe tip auto-detection : this switches on auto-detection. This option will need to be switched off if the auto-detection chip is not functioning correctly.

[Refresh] : this refreshes the contents of the list.

[Calibrate] : this starts the calibration procedure of the currently selected probe.

Details : this panel displays the details relating to the currently selected probe.
  • Name : the name of the probe
  • Cal Method : the calibration method used
  • Calibration Date : the date when the probe was calibrated (mm/dd/yyyy)
  • Cal StDev : standard deviation of the calibration,
  • Cal Cond : condition number of the calibration.
  • Offset X/ Y/ Z : the offsets in the X, Y and Z directions are the result of the calibration procedure and represent the position of the probe tip relative to the origon of the measurement system.
  • MCA Calibration
Parent topic: Localizer configuration


MCA Calibration

To maintain a high degree of accuracy, it is necessary to calibrate the Localizer probe. This calibration procedure can be initiated from the Hardware Configuration dialog which is accessed from your scanning software.

In the Hardware Configuration dialog, click on the Localizer button and then click on the Probe Settings tool.

Click on the [Calibrate] button. This will open a dialog which will guide you through the calibration procedure.

Preliminary steps

Before you start capturing data for the calibration, the following steps should be taken:

  1. The probe calibration piece/certified sphere must be mounted on a stable surface.
  2. The arm must be initialized.
  3. The correct probe tip must be mounted on the arm.
  4. The correct settings for the calibration must be set.

Choose the Calibration method

Three probe calibration methods are provided:

  • Cone calibration with static points

    This method can be applied to hard and floating probes only. It consists of capturing static points in an inner cone in 3 directions. This method is easy to perform but the results may not be as reliable as collecting dynamic points.

    To choose this method click on the [Cone] button and the [Static points] button.

    Click on the [Calibrate] button and follow the instructions for cone calibration with static points provided by the wizard.

  • Cone calibration with dynamic points

    This probe calibration method is available for hard and floating probes only. It consists of capturing a stream of points in an inner cone in 3 directions. This method provides reliable results, but collecting dynamic points may not be as easy as collecting static points.

    To choose this method click on the [Cone] button and the [Dynamic points] button.

    Enter the Limitation angle. This parameter defines the maximum angle for capturing points downwards in each direction. Its value can vary between 5 and 90 degrees.

    Figure 1. Limitation angle

    Click on the [Calibrate] button and follow the instructions for cone calibration with dynamic points provided by the wizard.

  • Sphere calibration

    This method is available for all probe types. It consists of capturing static points on a sphere. The points are collected by single pressing on one of the capturing buttons (hard and floating probes) or by touching the sphere surface (electronic probes).

    To choose this method click on the [Sphere] button.

    Enter the known diameter of the sphere in mm.

    Click on the [Calibrate] button and follow the instructions for sphere calibration provided by the wizard.

Parent topic: MCA

Cone calibration with static points

  1. Place the probe in the inner cone of the probe calibration piece.
  2. Position the arm such that the axis is vertical. The current position is indicated by the red line in the display as shown below. This must align with the start (vertical) position. The movement required from the start to the end position is indicated by the red arc.
  3. Take the first point. To do this you can press the front button of the handgrip, the white button of the arm or the buttons on the probe.

    The information in the dialog is updated instantly: the captured point position is marked with black dash and the first section of the red arc is colored in green.

  4. Incline the handgrip and continue to take points around the arc. The thin red arc indicates the direction of probe movement.
    You can delete the last point by using the side button of the handgrip or the black button of the arm.
  5. Continue until you have 15 points in this direction.
  6. Repeat the process to obtain 15 points in the other two directions (which are 120 degrees apart).
  7. When the last point is captured, the result is automatically calculated and displayed.
  8. For an acceptable probe calibration the 'Standard deviation' value should be 0.05 mm or lower.

    If you are satisfied with the results, then click on the [Finish] button. If not, repeat the procedure.

Cone calibration with dynamic points

  1. Place the probe in the inner cone of the probe calibration tip.
  2. Position the arm such that the arm axis is vertical. The current position of the arm is indicated by the red line which must align with the start (vertical) position.

    The start and end positions are marked by the blue lines. This corresponds to the limitation angle defined at the start of the procedure.

  3. Press and hold down the trigger button. Incline the handgrip to and move it along the indicated red arc capturing the points.
    The number of captured points is indicated, and the proportion of the arm track is colored in green.
  4. Continue until you have captured 100 points in this direction. You can delete the last stream of point by using the side button of the handgrip or the black button of the arm.
  5. Repeat this procedure to capture 100 points in the other two directions.
  6. When the last point is captured, the result is automatically calculated and displayed.
  7. For an acceptable probe calibration the 'Standard deviation' value should be 0.05 mm or lower.

    If you are satisfied with the results, click on the [Finish] button. If not, repeat the procedure.

Sphere calibration

In this calibration procedure points are captured perpendicular to the sphere in three orthogonal directions labelled 1,2 and 4 in the figure below. Then points are captured tangentially in the same plane as direction 2 (referred to as direction 3) and the same plane as direction 3 (referred to as direction 5).

Figure 2. Capture directions around the sphere
  1. Place the probe on the sphere which corresponds to the first position in first direction.

    The first direction corresponds to the sphere's equator and the points must be captured in a perpendicular direction.

    You can capture the first point by touching the sphere surface, pressing the front button of the handgrip or the white button of the arm or the buttons on the probe.
  2. Move the probe around the sphere in this direction until you have captured 9 points.
  3. Position the probe for the first position in the 2nd direction as shown in screenshot below.
  4. Move the probe around the sphere perpendicularly in this direction until you have captured 9 points.
  5. Move the probe around the sphere tangentially in this direction until you have captured 9 points.
  6. Position the probe for the first position in the 4th direction as shown in Figure 2.
  7. Move the probe around the sphere perpendicularly in this direction until you have captured 9 points.
  8. Move the probe around the sphere tangentially in this direction until you have captured 9 points.
  9. When the last point is captured, the result is automatically calculated and displayed.
  10. For an acceptable probe calibration the 'Standard deviation' value should be 0.05 mm or lower.

    If you are satisfied with the results, click on the [Finish] button. If not, repeat the procedure.


Faro

Diagnostics

The Diagnostics tool provides information about the currently selected localiser. This information should be used when requesting support.

Driver info : displays information about :
  • Description : description of the driver,
  • Version : version of the driver
  • FARO USB Driver Version : the version of the FARO USB Driver
Active arm info : displays the following information on the localizer arm that is currently used:
  • Type : localizer type
  • Serial No : the localizer serial number
  • Joints : number of Joints
  • Calibration Date : the date when the arm was calibrated (mm/dd/yyyy)
  • Certification Date : the date when the arm was certified (mm/dd/yyyy)
Active probe info : displays the following information on the currently active probe:
  • Type : the type of probe.
  • Name : the name of the probe.
  • Radius : radius of the probe.
  • Calibration Date : the date when the probe was calibrated (mm/dd/yyyy).
  • Two sigma : the two sigma value of the calibration.
  • Max. error : the maximum error of the calibration.

[FARO diagnostics] : clicking on this button will start the diagnostics of your FARO localizer. Consult your FARO localizer documentation for more information.

[Select probe...] : clicking on this button will start the FARO probe dialog box. Consult your FARO localizer documentation for more information.

Use scan mode during probe calibration : this allows you to use the scan mode during probe calibration.

Parent topic: Localizer configuration


Scanner configuration

The Scanner function provides tools used to configure the scanner.

  • MMDx configuration
  • MMCx configuration
  • LC60Dx configuration
Parent topic: Hardware configuration


MMDx configuration

The Scanner configuration function consists of (3) tools: Laser, Field of View and Diagnostics.

Laser tool

The Laser tool enables you to configure the laser settings for the scanner. The following fields are displayed.

Laser Power : This slider enables you to view or set the laser power level. By default the Automatic setting is enabled and it is recommended that you retain this. The Automatic option adjusts the laser power for each point. Uncheck this option only if you need to set the laser power levels manually, by entering the required level using the slider or the input field. The 2D Preview assists in determining a suitable power level.

Exposure : This allows you to set the exposure time. By default you should always use the lowest exposure time possible. However if setting the Laser Power level to a maximum does not produce sufficient number of points, then you can increase the exposure time by entering the required level using the slider or the input field.

Note: Increasing the exposure time can reduce the accuracy, especially when rapid movements of the scanner are involved.

[Detect] : This button is used to detect the optimum values of Laser Power and Exposure for the object to be scanned. This is based on the number of points required, as well as the material and the colour of the object. This function only works if the Automatic option is not set.

Reflection Filter : By default a filter is used during the scanning operation to remove the effects of reflected light. Depending on the nature of the object being scanned, then may give rise to erroneous results, in which case you can check this option off, so that no points are filtered out.

2D Preview: This provides a preview of the points that the scanner is currently seeing. The bar at the side should be as shown in the screenshot above, i.e. coloured green with a high level. If the bar is red, then the intensity is too high and too many points will be in saturation. If the level of the bar is low, the laser power level is too low.

Laser Profiles: These fields enable you to save, retrieve or delete a laser profile (configuration).
  • To save a laser profile: click on the [Save as] button and enter a name to identify the profile.
  • To retrieve a saved profile : simply select it from the drop-down list.
  • To delete a profile: select it from the drop-down list and click [Delete].

Field of View tool

This tool allows you to adjust the scanner field of view. The size of the field of view depends on the scanner model and current scanner calibration. Reducing the field of view improves the speed of scanning, not the accuracy. It is useful if you only wish to scan a part of an object.

The Field of View panel displays the current scan rate of the incoming stripe data (frames per second) which is calculated from the exposure time and the dimensions of the field of view, set using the 'Y' and 'Z' sliders. In the screen shot above, where the Y slider is at a maximum (representing 1000 points) the scan rate is 51 frames ber second.

'Y' slider : The 'Y' slider allows you to control the number of captured columns in the image, which corresponds to the number of points along the stripe (Y direction). The number of points per stripe is automatically calculated depending on the options in this section. The screen shot below shows the results of reducing the Y slider range to 50% which results in the Scan rate being doubled.

'Z' slider : The 'Z' slider allows you to control the number of captured rows in the image, which corresponds to active area of the scanner in depth (Z direction).

The slider ranges from 100% to 50%. 50% represents half of the Z range allowing scanning at the maximum number of 80000 points per second. The screenshot below shows the effect of reducing the Z range to 50% while the maximum 1000 points are being scanned in the Y direction.

The screenshot below shows the effect of reducing both the Y and the Z sliders to 50%.

Diagnostics tool

The Diagnostics panel provides information about the current scanner. This information should be used when requesting support.

General: displays information about
  • Type : of scanner,
  • Serial Number : of the scanner
  • Manufacturing Date : of the scanner (mm/dd/yyyy)
Firmware : displays version information about
  • FPGA : FGPA version
  • Driver : driver version
  • Server : scanner server version
Parent topic: Scanner configuration


MMCx configuration

The Laser tool is as described for the MMDX scanner.

The Diagnostics tool is as described for the MMDX scanner.

Parent topic: Scanner configuration


LC60Dx configuration

The Laser tool is as described for the MMDX scanner.

The Diagnostics tool is as described for the MMDX scanner.

Parent topic: Scanner configuration


Qualification

The Qualification procedure is a means of ensuring that your hand held laser setup (including the scanner, probe and localiser) will provide accurate results. It is highly recommended that you carry out a qualification procedure each time a particular scanner is attached to the localiser or once a week otherwise.

The Qualification process is based on scanning a qualification plate with a known calibrated width between the two white sides of the plate.

The Qualification procedure is part of the Hardware Configuration functionality that can be accessed from your scanning software.

Before starting a qualification, you must :

  1. Set up the localizer and connect this to the scanner as described in the hardware description section.
  2. Start up your scanning software.
  3. Follow the steps required in the software to access the Hardware Configuration dialog.
  4. Click on the Scanner button.
  5. Click on the Laser tool.
  6. Adjust the exposure time to the lowest possible value and check that the Automatic Laser Power option in on.
  7. Click [Apply].
  8. Click on the Qualification button.

    The Qualification panel displays the following :

    • Localizer: the localizer used during the last qualification,
    • Scanner: the scanner used during the last qualification,
    • Date: the date of the last qualification
    • Standard Deviation: standard deviation detected during the last qualification.
  9. Enter the calibrated width between two white surfaces of the plate to be used for the qualification.
  10. Click on the [Start Qualification...] button to the wizard that will guide you through the qualification procedure.
  • Qualification procedure
Parent topic: Hardware configuration


Qualification procedure

This procedure describes all the stages involved in performing a Qualification of a scanner / localiser setup. Before starting this procedure it is assumed that you have carried out all the require preliminary steps.

The user is guided through the Qualification procedure by means of a wizard. At each stage instructions are given about the measurements to be performed and once they are complete, the wizard automatically takes you to the next step. The Qualification wizards will issue a warning when:
  • the scanner is moving either too fast or too slow,
  • the scanner is not oriented as required.
  1. When the setup is ready for you to begin, follow the instructions on the screen.
  2. Follow the instructions on the screen. When the measurement is complete, the wizard will automatically continue to the next screen.
  3. Follow the instructions on the screen. When the measurement is complete, the wizard will automatically continue to the next screen.
  4. Follow the instructions on the screen. When the measurement is complete, the wizard will automatically continue to the next screen.
  5. Follow the instructions on the screen. When the measurement is complete, the wizard will automatically continue to the next screen.
  6. Follow the instructions on the screen. When the measurement is complete, the wizard will automatically continue to the next screen.
  7. Follow the instructions on the screen. When the measurement is complete, the wizard will automatically continue to the next screen.
  8. Follow the instructions on the screen. When the measurement is complete, the wizard will automatically continue to the next screen.
  9. Follow the instructions on the screen. When the measurement is complete, the wizard will automatically continue to the next screen.
  10. Follow the instructions on the screen. When the measurement is complete, the wizard will automatically continue to the next screen.
  11. The Qualification procedure is complete. The results are displayed on the screen.

    You can choose to accept the results if the deviation is acceptable. A very high condition number is not good, since it implies that the deviation is unreliable. This may be due to poor results during one of the stages in the Qualification procedure. If the results are still unacceptable after repeating the procedure carefully, this may indicate a problem with the device and you should contact support at Nikon Metrology.

Loading and saving scanner qualification data

The qualification information is stored on your PC immediately after a qualification has taken place.

When you change the scanner or localizer, the software will automatically load the most recent qualification available for that scanner and localizer based on their serial numbers.

Note: If the mount connecting the scanner to the localizer is removed or adjusted, a new qualification should be carried out.
Parent topic: Qualification